#
# Conditional build:
%bcond_without  python2         # Python 2.x module
%bcond_without  python3         # Python 3.x module
#
%define		module		simplejson
Summary:	Simple, fast, extensible JSON encoder/decoder for Python
Summary(pl.UTF-8):	Prosty, szybki, rozszerzalny (de)koder JSON dla Pythona
Name:		python-%{module}
Version:	3.17.2
Release:	8
License:	MIT or AFL v2.1
Group:		Libraries
#Source0Download: https://pypi.org/pypi/simplejson
Source0:	https://files.pythonhosted.org/packages/source/s/simplejson/%{module}-%{version}.tar.gz
# Source0-md5:	27fba3bc75a32318bd3b163b8a31aa7e
URL:		https://simplejson.readthedocs.io/
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools >= 1:7
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.3
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-setuptools >= 1:7
%endif
BuildRequires:	rpm-pythonprov
Requires:	python-libs >= 1:2.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
simplejson is a simple, fast, complete, correct and extensible JSON
<http://json.org/> encoder and decoder for Python 2.5+.

%description -l pl.UTF-8
simplejson to prosty, szybki, pełny, poprawny i rozszerzalny koder i
dekoder JSON (<http://json.org/>) dla Pythona 2.5 i nowszych wersji.

%package -n python3-%{module}
Summary:	Simple, fast, extensible JSON encoder/decoder for Python 3
Summary(pl.UTF-8):	Prosty, szybki, rozszerzalny (de)koder JSON dla Pythona 3
Group:		Libraries
Requires:	python3-libs >= 1:3.3

%description -n python3-%{module}
simplejson is a simple, fast, complete, correct and extensible JSON
<http://json.org/> encoder and decoder for Python 3.

%description -n python3-%{module} -l pl.UTF-8
simplejson to prosty, szybki, pełny, poprawny i rozszerzalny koder i
dekoder JSON (<http://json.org/>) dla Pythona 3.

%prep
%setup -qn %{module}-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%{__rm} -r $RPM_BUILD_ROOT%{py_sitedir}/simplejson/tests
%py_postclean
%endif

%if %{with python3}
%py3_install

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitedir}/simplejson/tests
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.txt LICENSE.txt README.rst
%dir %{py_sitedir}/simplejson
%{py_sitedir}/simplejson/*.py[co]
%attr(755,root,root) %{py_sitedir}/simplejson/_speedups.so
%{py_sitedir}/simplejson-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.txt LICENSE.txt README.rst
%dir %{py3_sitedir}/simplejson
%{py3_sitedir}/simplejson/__pycache__
%{py3_sitedir}/simplejson/*.py
%attr(755,root,root) %{py3_sitedir}/simplejson/_speedups.cpython-*.so
%{py3_sitedir}/simplejson-%{version}-py*.egg-info
%endif
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-simplejson.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> b745f5a
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 56b18c8
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> e1ec7c7
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 1596791
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> ba648de
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 25a5615
- rebuild with separate debuginfo build-ids

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 4990a03
- release 2 (by relup.sh)

* Sun Aug 30 2020 Jakub Bogusz <qboosh@pld-linux.org> e1a6da1
- updated to 3.17.2

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 888f02a
- rebuild with python 3.8
- release 3 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 96b1665
- release 2 (by relup.sh)

* Mon Apr 17 2017 Jakub Bogusz <qboosh@pld-linux.org> 19d8e45
- updated to 3.10.0

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 21e68c5
- python 3.6
- release 4 (by relup.sh)

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> c75f806
- use rpm python macros
- rel 3

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 10590f0
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1bf1358
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5dfb1e6
- automatic change: use py_build/py_install macros

* Tue Oct 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 1e95f9d
- updated to 3.8.0

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a61df5
- release 2 (by relup.sh)

* Sun May 17 2015 Jakub Bogusz <qboosh@pld-linux.org> 5be726d
- updated to 3.6.5

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> df6eed3
- x32 rebuild
- release 2 (by relup.sh)

